Description

At r55018, in include/ruby/oniguruma.h, at line 131, I introduced

the compilation switch ONIG_CASE_MAPPING. The purpose of this switch

is to isolate the case-mapping functionality that is introduced into

Ruby but is not used with regular expressions.

The definition on line 131 should be moved outside oniguruma.h,

to a location that makes sure it is seen in oniguruma.h and all files

that include it, but will not be part of backwards pull requests

to onigumo. Such a location may either be an option setting in some

make file or a suitable .h file included into oniguruma.h. I trust

Nobu to find the best location for this.

Associated revisions

Revision 6ed393ad89eb821d838d70cf13040d3f39237554 - 07/24/2016 07:33 AM - duerst (Martin Dürst)

regenc.h/c, include/ruby/oniguruma.h, enc/ascii.c, big5.c, cp949.c,

emacs_mule.c, euc_jp.c, euc_kr.c, euc_tw.c, gb18030.c, gbk.c,

iso_8859_1|2|3|4|5|6|7|8|9|10|11|13|14|15|16.c, koi8_r.c, koi8_u.c,

shift_jis.c, unicode.c, us_ascii.c, utf_16|32be|le.c, utf_8.c,

windows_1250|51|52|53|54|57.c, windows_31j.c, unicode.c:

Remove conditional compilation macro ONIG_CASE_MAPPING. [Feature #12386].

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55740 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 6ed393ad - 07/24/2016 07:33 AM - duerst (Martin Dürst)

regenc.h/c, include/ruby/oniguruma.h, enc/ascii.c, big5.c, cp949.c,

emacs_mule.c, euc_jp.c, euc_kr.c, euc_tw.c, gb18030.c, gbk.c,

iso_8859_1|2|3|4|5|6|7|8|9|10|11|13|14|15|16.c, koi8_r.c, koi8_u.c,

shift_jis.c, unicode.c, us_ascii.c, utf_16|32be|le.c, utf_8.c,

windows_1250|51|52|53|54|57.c, windows_31j.c, unicode.c:

Remove conditional compilation macro ONIG_CASE_MAPPING. [Feature #12386].

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55740 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 07/19/2016 08:16 AM - naruse (Yui NARUSE)

- Status changed from Open to Assigned

- Assignee changed from nobu (Nobuyoshi Nakada) to duerst (Martin Dürst)

The upstream of Ruby's regexp is Onigmo's ruby branch.

It is much different from master.

Therefore an extra ifdef, ONIG_CASE_MAPPING, is not needed.

Just write without ifdefs.

#2 - 07/24/2016 07:33 AM - duerst (Martin Dürst)

- Status changed from Assigned to Closed

Applied in changeset r55740.

regenc.h/c, include/ruby/oniguruma.h, enc/ascii.c, big5.c, cp949.c,
https://github.com/k-takata/Onigmo/tree/ruby-2.x


emacs_mule.c, euc_jp.c, euc_kr.c, euc_tw.c, gb18030.c, gbk.c,

iso_8859_1|2|3|4|5|6|7|8|9|10|11|13|14|15|16.c, koi8_r.c, koi8_u.c,

shift_jis.c, unicode.c, us_ascii.c, utf_16|32be|le.c, utf_8.c,

windows_1250|51|52|53|54|57.c, windows_31j.c, unicode.c:

Remove conditional compilation macro ONIG_CASE_MAPPING. [Feature #12386].
